% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/redshift_operations.R
\name{redshift_modify_cluster_snapshot}
\alias{redshift_modify_cluster_snapshot}
\title{Modifies the settings for a snapshot}
\usage{
redshift_modify_cluster_snapshot(
  SnapshotIdentifier,
  ManualSnapshotRetentionPeriod = NULL,
  Force = NULL
)
}
\arguments{
\item{SnapshotIdentifier}{[required] The identifier of the snapshot whose setting you want to modify.}

\item{ManualSnapshotRetentionPeriod}{The number of days that a manual snapshot is retained. If the value is
-1, the manual snapshot is retained indefinitely.

If the manual snapshot falls outside of the new retention period, you
can specify the force option to immediately delete the snapshot.

The value must be either -1 or an integer between 1 and 3,653.}

\item{Force}{A Boolean option to override an exception if the retention period has
already passed.}
}
\description{
Modifies the settings for a snapshot.

See \url{https://www.paws-r-sdk.com/docs/redshift_modify_cluster_snapshot/} for full documentation.
}
\keyword{internal}
